<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>Toolbar</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h4 class="subsectionHead"><span class="titlemark">12.2.3</span>&#x00A0;&#x00A0;<a 
 id="x80-10400012.2.3"></a>Toolbar</h4>
<!--l. 1114--><p class="noindent" >When the XML Editor is opened, some additional functions in the toolbar are active
depending on the View that is currently selected.
</p><!--l. 1116--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x80-10500012.2.3"></a>Show Block Markers and Inline Markers (WYSIWYM View)</h5>
<!--l. 1118--><p class="noindent" >Click <img 
src="blockmarkers.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual64x.png" src="blockmarkers.eps"  
--> to show block-markers and click <img 
src="inlinemarkers.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual65x.png" src="inlinemarkers.eps"  
--> to see all inline-markers in the
<a 
href="textgrid-manualsu28.html#x86-13700012.3.3">WYSIWYM View<!--tex4ht:ref: xml-editor:editor-field:wysiwym-view --></a> (<span 
class="stmary-10x-x-109">&#x2192;</span>&#x00A0;<a 
href="textgrid-manualsu28.html#x86-13800012.3.3">Features of the WYSIWYM View<!--tex4ht:ref: xml-editor:editor-field:wysiwym-view:features --></a>).
</p><!--l. 1121--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x80-10600012.2.3"></a>New and Previous Annotation (Source View)</h5>
<!--l. 1123--><p class="noindent" >By clicking on <img 
src="icon_annotation_next.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual66x.png" src="icon_annotation_next.eps"  
--> or <img 
src="icon_annotation_prev.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual67x.png" src="icon_annotation_prev.eps"  
--> the next or the previous annotation in the
source code can be found. By clicking the small triangle next to this symbols a list of
entities is presented that can be checked off. Only the marked kinds of objects will be
found.
</p><!--l. 1125--><p class="noindent" >You can select additions and changes as well as errors, warnings and infos. You have also the
possibiliy to jump to the next or previous <a 
href="textgrid-manualch13.html#x102-15700013">Text-Image-Link-Editor<!--tex4ht:ref: text-image-link-editor --></a>.
                                                                                

                                                                                
</p><!--l. 1127--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x80-10700012.2.3"></a>Turn Grammar Constraints on and off (Source View)</h5>
<!--l. 1129--><p class="noindent" >When you edit an XML file that has a set of constraints or rules defined by a DTD or an XML
schema, you can turn the constraints on and off by clicking <img 
src="constrain-on.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual68x.png" src="constrain-on.eps"  
--> or <img 
src="constrain-off.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual69x.png" src="constrain-off.eps"  
-->. When the
constraints are turned on, the XML Editor prevents you from inserting elements, attributes, or
attribute values not permitted by the rules of the XML schema or DTD, and from removing
necessary or predefined sets of tags and values (<span 
class="stmary-10x-x-109">&#x2192;</span><a 
href="textgrid-manualsu26.html#x84-11400012.3.1">Features of the Design View<!--tex4ht:ref: xml-editor:editor-field:design-view:features --></a> and <a 
href="textgrid-manualsu21.html#x78-8700012.2.1">Associate a
Schema<!--tex4ht:ref: xml-editor:xml-editor-perspective:features:associate-schema --></a>).
</p><!--l. 1131--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x80-10800012.2.3"></a>Reload Dependencies (Source View)</h5>
<!--l. 1133--><p class="noindent" >If your XML file is associated with a DTD or XML Schema that has changed, you can reload
the dependencies by clicking <img 
src="reload-dependencies.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual70x.png" src="reload-dependencies.eps"  
--> (<span 
class="stmary-10x-x-109">&#x2192;</span>&#x00A0;<a 
href="textgrid-manualsu26.html#x84-11400012.3.1">Features of the Design View<!--tex4ht:ref: xml-editor:editor-field:design-view:features --></a> and <a 
href="textgrid-manualsu21.html#x78-8700012.2.1">Associate a
Schema<!--tex4ht:ref: xml-editor:xml-editor-perspective:features:associate-schema --></a>).
</p><!--l. 1135--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x80-10900012.2.3"></a>Available Tags (WYSIWYM View)</h5>
<!--l. 1137--><p class="noindent" >If the <a 
href="textgrid-manualsu28.html#x86-13700012.3.3">WYSIWYM View<!--tex4ht:ref: xml-editor:editor-field:wysiwym-view --></a> is selected, a few more icons are shown: You can click on <img 
src="F+.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual71x.png" src="F+.eps"  
--> to
get a suggestion of available tags that can be added as your favorites to the toolbar. By
double-clicking them they are added to the XML file. To remove tags from the toolbar favorite
list again, click <img 
src="F-.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual72x.png" src="F-.eps"  
-->.
                                                                                

                                                                                
</p>
<!--l. 1139--><p class="noindent" ><a 
 id="tailtextgrid-manualsu23.html"></a> </p> 
</body></html> 
